"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff82772d30>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff82772dc0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff82772e50>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff82772ee0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff82772f70>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0040>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b00d0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0160>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b01f0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0280>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0310>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b03a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0430>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b04c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0550>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b05e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0670>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0700>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0790>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0820>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b08b0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0940>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b09d0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0a60>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0b80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0af0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0c10>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0ca0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0d30>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0dc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0e50>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0ee0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b0f70>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3040>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b30d0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3160>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b31f0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3280>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3310>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b33a0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3430>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b34c0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3550>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b35e0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3670>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3700>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3790>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3820>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b38b0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3940>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b39d0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3a60>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3af0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3b80>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3c10>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3ca0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3d30>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3dc0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3e50>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3ee0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b3f70>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6040>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b60d0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6160>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b61f0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b63a0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6280>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6430>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b64c0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6550>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b65e0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6670>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6790>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6700>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6820>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b68b0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6a60>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b69d0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6af0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6b80>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6c10>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6ca0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6d30>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff824b6dc0>)]
name: str = 'fr_HOCCN'
